Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game.
Name:		glaxium
Version:	0.5
Release:	4
License:	GNU/GPL 
URL:		http://xhosxe.free.fr/glaxium
Group:		Games/Arcade
Source0:	%{name}_%{version}.tar.gz
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-gcc4.patch
Patch2:		%{name}-freeglut.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	freeglut-devel 
BuildRequires:  libpng-devel 
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libXmu-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel

%description
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game.
It is designed to provide the same feel as the old 2D games
of that type, but with 3D for the special effects.

%prep
%setup -q -n %{name}_%{version}
%patch0
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--datadir=%_datadir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_applications,%_pixmaps}
cp %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%_applications

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.5-4
- rebuild, group correction to Games/Arcade
* Thu Nov 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5-3
- rebuilt
- added patches to cleanly compile/work with gcc 4.x and freeglut 2.4.0
* Mon Dec 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.5-2
- added glaxium.desktop as source (removed creation of it)
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.5-1
- Initial Release
